Introducing VMware AirWatch® SDK 18.2 for Android

The VMware AirWatch® team is excited to announce that AirWatch SDK 18.2 for Android is publicly available.

Bugs Fixed in this App Version

  • ASDK-168767: Fixed an issue that resulted in a crash when using the root detection API.

Known Issues in this Version

This version of the SDK technically supports compilation with Android API target version 26. However, there is currently a known technical limitation with SDK apps using API version 26 where SSO functionality will not be compatible with older versions of AirWatch & SDK apps running versions of the SDK below v17.9. Therefore, it is recommended that if other SDK apps (both custom built and apps from AirWatch) are present in your deployment, you wait until those new versions of the apps with SDK v17.9 or higher are released before upgrading to API level 26.

Customer Impact

Take advantage of these updates by meeting the minimum requirements and downloading AirWatch SDK 18.2 for Android. 

Minimum Requirements

  • Android 4.0.3+ / Ice Cream Sandwich / API Level 15+* (See known issue above)
  • Android Studio with the Gradle Android Build System (Gradle) 3.3.0+
  • Knowledge in Android Development
  • AirWatch Agent v5.3 for Android
  • AirWatch Console v8.0 / AirWatch Console 9.1.2+ (for Workspace ONE compatibility)

How to Download SDK 18.2 for Android

  • Existing SDK Users – Use the same SDK download link from the myAirWatch portal with which you previously downloaded the SDK.
  • New SDK Users – Request download permissions from your AirWatch account representative.

Support Contact Information

To open a Support Request, please call your local AirWatch support line or submit a Support Request via myAirWatch.

 

Best Regards,

The AirWatch Team

Other Languages: 日本語

Have more questions? Submit a request

0 Comments

Article is closed for comments.